Jails on ZFS

Artis Caune artis.caune at gmail.com
Tue Jul 28 14:36:23 UTC 2009


Hi,

I'm playing with jails on ZFS and everything is fine, except annoying
warnings (hopefully just warnings) when doing:
    # /etc/rc.d/jail stop

zfs_umount:971[0]: Force unmount is experimental - report any problems.
...
zfs_umount:971[0]: Force unmount is experimental - report any problems.


I found that in rc.d/jail secure_umount() it always do "umount -f "

Maybe it's better first try to unmount without -f and then use force?


--- /etc/rc.d/jail	2009-07-22 23:29:29.000000000 +0300
+++ /etc/rc.d/jail	2009-07-28 14:00:19.998368729 +0300
@@ -270,7 +270,7 @@
 	_dir=$1

 	if is_current_mountpoint ${_dir}; then
-		umount -f ${_dir} >/dev/null 2>&1
+		umount ${_dir} >/dev/null 2>&1 || { sleep 2; umount ${_dir}
>/dev/null 2>&1 || umount -f ${_dir} >/dev/null 2>&1; }
 	else
 		debug "Nothing mounted on ${_dir} - not unmounting"
 	fi




-- 
Artis Caune

    Everything should be made as simple as possible, but not simpler.


More information about the freebsd-jail mailing list